elektra (0.8.14-2) unstable; urgency=medium

  * Do not disable the documentation on arch-only builds, as that disables
    also the extra man pages.
  * Move ruby-ronn as normal build dependency, to be always installed.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 20:31:39 +0100

elektra (0.8.14-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Fix-vararg-type-for-KEY_FLAGS.patch: drop, backported
    - upstream_fix-238-keyName-example.patch: drop, backported
    - private_elektratools.diff: refresh
  * Re-enable usage of system gtest, as it has been fixed upstream.
  * Update install files.
  * Update copyright.
  * Update lintian overrides.
  * Make elektra-tests depend on elektra-bin, as the latter contains the
    elektra-getenv stuff.
  * Workaround the internal broken list_filter() cmake function; patch
    avoid-list-filter.diff.
  * Update symbols file.
  * Add ruby-ronn as Build-Depends-Indep, as it's used in the generation of
    the documentation.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 18:25:01 +0100

elektra (0.8.12-2) unstable; urgency=medium

  * Upload to unstable.
  * autopkgtest tests: switch from `...` syntax to $(...).
  * Backport upstream commit aca7c1e86285319bb41dde8eb3e5feb71a902931 to fix
    extraction of KEY_FLAGS varargs (crashes on powerpc, for example); patch
    upstream_Fix-vararg-type-for-KEY_FLAGS.patch.
  * Backport upstream commit 0b56b84154497078d7d084611b9f6adeb074b4d2 to fix
    the keyName.c example; patch upstream_fix-238-keyName-example.patch.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Jul 2015 10:03:55 +0200

elektra (0.8.12-1) experimental; urgency=medium

  * New upstream release:
    - HTML_TIMESTAMP is off by default (Closes: #788879)
  * Update the patches:
    - upstream_Add-the-KEY_END-marker-on-key-creation-where-missing.patch:
      drop, backported
    - upstream_tests-switch-from-tmpnam-to-mkstemp.patch: drop, backported
    - upstream_cmake-check-and-store-the-size-of-mode_t.patch: drop, backported
    - upstream_Make-KEY_MODE-work-when-mode_t-is-not-the-same-as-in.patch:
      drop, backported
    - private_elektratools.diff: refresh
    - path_max.diff: drop, fixed upstream
    - ambiguous_keyset_ctor.diff: drop, the underlying problem should have
      been fixed upstream
  * Update install files.
  * Update symbols file.
  * examples-c-pp autopkgtest: make the cmake build verbose, and exclude
    namespace.c (requires stdin).
  * Update lintian overrides.
  * rules: replace -DBUILD_SWIG=ON, -DBUILD_SWIG_LUA=ON, and
    -DBUILD_SWIG_PYTHON3=ON with -DBINDINGS="ALL".
  * Elektra now installs the bash completion on its own, so:
    - drop the usage of the bash-completion dh addon
    - drop elektra-bin.bash-completion
    - drop the bash-completion build dependency
    - move it manually to /usr/share/bash-completion/completions/, as
      /etc/bash_completion.d/ is deprecated
  * Temporarily use the own copy of gtest, as there is a file there which
    is not provided in the system version; problem reported and fixed upstream
    as https://github.com/ElektraInitiative/libelektra/pull/236.
  * Bump Standards-Version to 3.9.6, no changes required.
  * control: rename XS-Testsuite to Testsuite.
  * rules: skip also the testscrtestkdb_* tests, as they require root access.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Jul 2015 08:18:17 +0200

elektra (0.8.7-4) unstable; urgency=medium

  * Upload to unstable.
  * Do not compress files installed as examples.

 -- Pino Toscano <pino@debian.org>  Tue, 19 Aug 2014 20:19:38 +0200

elektra (0.8.7-3) experimental; urgency=medium

  * Adapt the install path of FindElektra.cmake to work also with cmake 3.
  * Bump the cmake build dependency to >= 2.8, as indicated by the upstream
    build system.
  * Tighten libelektra4 dependency in all the binary packages.
  * Install the C examples, the ones of the C++ bindings, and the external
    project ones in libelektra-dev.
  * Rename the lua and python3 autopkgtest as examples-lua and examples-python3
    since that's what they test.
  * Add a new examples-c-cpp autopkgtest to build and run (almost) all the
    C examples, the C++ examples, and the external project ones.
  * Install the bash completion for the kdb tool:
    - add the bash-completion build dependency
    - use the bash_completion dh addon
    - add a elektra-bin.bash-completion file
  * Update copyright.
  * Backport upstream commits e8d6404d0331fed369f0b133bbfe871f52c03488 and
    395c1ce36d530ea9edd5dcc269b74bf1901b8957 to fix/improve the handling of
    mode_t; patches upstream_cmake-check-and-store-the-size-of-mode_t.patch
    and upstream_Make-KEY_MODE-work-when-mode_t-is-not-the-same-as-in.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Aug 2014 23:18:11 +0200

elektra (0.8.7-2) experimental; urgency=medium

  * rules: fix typo in variable name.
  * Backport upstream commit b4ff5fa57ab0d7f63f0f71c0db621bdf8ec53d8f to
    properly pass the KEY_END marker in all the C++ Key::Key calls; patch
    upstream_Add-the-KEY_END-marker-on-key-creation-where-missing.patch.
  * Backport upstream commit 2bb9542d0c45622a8254156fbf2b876eaf21858f to
    switch from tmpnam to mkstemp in tests; patch
    upstream_tests-switch-from-tmpnam-to-mkstemp.patch.
  * Provide a temporary directory as HOME and TMPDIR for the tests.
  * Switch from PATH_MAX to KDB_MAX_PATH_LENGTH in kdb; patch path_max.diff.
  * Workaround in the bindings the ambiguous varargs constructors of the C++
    KeySet implementation (upstream bug #42); patch ambiguous_keyset_ctor.diff.

 -- Pino Toscano <pino@debian.org>  Wed, 13 Aug 2014 06:21:42 +0200

elektra (0.8.7-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_swig-lua-python-fix-installation-directory.patch: drop,
      backported
    - upstream_install_lua.diff: drop, backported
    - upstream_Add-TARGET_LUA_CMOD_FOLDER-cmake-variable.patch: drop,
      backported
    - upstream_cmake-simplify-RPATH-setting.patch: drop, backported
    - spelling_fixes.diff: drop, fixed upstream
  * Update symbols file.
  * Build with an external gtest:
   - add the libgtest-dev build dependency
   - pass -DGTEST_ROOT to cmake
  * Update install files.
  * Rename -DBUILD_SWIG_PYTHON cmake variable to -DBUILD_SWIG_PYTHON3,
    as changed upstream.
  * Switch to swig 3.0, as it works better for the Python 3 bindings:
    - switch the swig build dependency to swig3.0
    - pass -DSWIG_EXECUTABLE to cmake
    - drop patch python_tests_skip_crash.diff, obsolete now
  * Fix path to the python3 examples.
  * Manually install the test data for the xmltool plugin, so its
    testmod_xmltool test pass.
  * Extend private_elektratools.diff to also set RPATH for the elektratools
    tests.
  * When not building elektra-doc, disable the build of the documentation:
    - in rules, put the common arguments for cmake in an own variable, hacking
      override_dh_auto_configure to pass -DBUILD_DOCUMENTATION=OFF in that case
    - move the docbook-xml, docbook-xsl, doxygen, graphviz, and xsltproc build
      dependencies to Build-Depends-Indep
  * Remove the docbook-xml, docbook-xsl, and xsltproc build dependencies,
    as they unused now.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Aug 2014 23:25:31 +0200

elektra (0.8.6-1) experimental; urgency=medium

  * New upstream release.
  * Upstream switched from autotools to cmake, so:
    - drop the dh-autoreconf and libltdl-dev build dependencies
    - add the cmake build dependency
    - stop using the autoreconf dh addon
    - force the use of cmake as build system
    - drop patch docdata_install.diff, no more needed now
    - turn the configure arguments for plugin and apidox directories into
      cmake options
  * Drop libelektra-cpp library, since the C++ headers provide inline
    implementations, and move them to libelektra-dev.
  * Move libelektratools in a private location, since upstream does not
    consider it a public library yet, setting RPATH in kdb to load it; patch
    private_elektratools.diff:
    - disable libelektratoolsN and libelektratools-dev packages for now
  * Rename packages according to the new SONAMEs:
    - libelektra3 -> libelektra4
  * Update install files.
  * Update symbols files.
  * Update doc-base file.
  * Add a new elektra-tests package with the tools and data for the installed
    test suite.
  * Build all the tools and plugins:
    - add the libboost-dev, libdbus-1-dev, and libyajl-dev build dependencies
    - add the libelektra4-dbus, libelektra4-xmltool, and libelektra4-yajl
      packages for the respective plugins, as they bring additional
      dependencies
  * Backport upstream commit e609279f6ca78c39f8dd17f87a215d80c8464dde to set
    RPATH only for the plugin directory in the installation prefix; patch
    upstream_cmake-simplify-RPATH-setting.patch.
  * Start enabling the bindings:
    - pass -DBUILD_SWIG=ON to cmake
    - add the swig build dependency
  * Enable the Lua bindings:
    - add the lua-elektra package
    - add the dh-lua build dependency
    - use the lua dh addon
    - backport upstream commits 27a24cfe85057825afb6f9fca5d4b2dc70d8cf9b and
      8e242a850e051c98a31aaf93bad09778e81a20f8 to install the bindings in the
      correct location; patches upstream_install_lua.diff and
      upstream_Add-TARGET_LUA_CMOD_FOLDER-cmake-variable.patch.
    - provide the upstream examples
    - pass -DBUILD_SWIG_LUA=ON to cmake
  * Enable the Python 3 bindings:
    - add the python3-elektra package
    - add the python3-dev build dependency
    - use the python3 dh addon
    - backport part of upstream commit 9c370a0475ae5461024e171f6c87f340a9f58848
      to install the bindings in the correct location; patch
      upstream_swig-lua-python-fix-installation-directory.patch.
    - provide the upstream examples
    - pass -DBUILD_SWIG_PYTHON=ON to cmake, together with
      -DPython_ADDITIONAL_VERSIONS representing the default python3 version
  * Convert to multiarch:
    - pass a LIB_SUFFIX to cmake
    - adjust paths in install files and rules
  * Add Multi-Arch and Pre-Depends headers where needed.
  * Slightly improve descriptions.
  * Replace patch 01_spelling_fixes.diff with an updated spelling_fixes.diff.
  * Add lintian override for purposely-misspelt string.
  * Remove extra .map and .md5 files from doxygen.
  * Add elektra-dbg with debugging symbols.
  * Remove ".la" exclusion from dh_install, as there are no more libtools
    files now.
  * Remove the libkrb5-dev conflict from libelektra-dev, since now the elektra
    headers are in an own subdirectory.
  * Re-enable the unit tests:
    - do not run them in parallel, as it seems they badly interact with each
      other
    - skip part of a crashing python test; patch python_tests_skip_crash.diff
    - manually run ctest and skip the testscr_* tests, which seem to assume
      they can write to /etc...
  * Add simple autopkgtest tests:
    - run `kdb run_all` using the installed tests provided in elektra-tests
    - run all the Python 3 examples using python-elektra
    - run all the Lua examples using lua-elektra
    (Currently all of them fail, but at least they are starting points.)
  * Convert copyright to copyright-format v1.0, and update it.
  * Disable the static build, since it is not really static (upstream bug,
    https://github.com/ElektraInitiative/libelektra/issues/23)

 -- Pino Toscano <pino@debian.org>  Sat, 26 Jul 2014 09:50:31 +0200

elektra (0.7.2-2) unstable; urgency=medium

  * Update symbols files for arm64 and ppc64el.
  * Fix typo in copyright (thanks to Markus Raab).
  * Update patch 01_spelling_fixes.diff to cover also "transfered".

 -- Pino Toscano <pino@debian.org>  Sat, 19 Jul 2014 09:15:04 +0200

elektra (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9
    - keep the libdir as $prefix/lib for now, will revise it regarding
      multiarch in a later step
    - exclude the plugins from the shlibs handling
  * Enable the parallel build.
  * Update watch file, adding the new location.
  * Do the autoreconf at build time: (Closes: #727372, #744568)
    - add the dh-autoreconf build dependency
    - use the autoreconf dh addon
    - touch config.rpath before autoreconf'ing, workaround for some autotools
      issue
    - make sure to disable the ltdl installation, so the system libltdl is used
    - add docdata_install.diff patch to fix apidox installation
  * Update symbols files, including the fixes for mips64(el) (thanks to
    YunQiang Su) and ppc64 (thanks to Hiroyuki Yamamoto).
    (Closes: #669969, #726129)
  * Bump Standards-Version to 3.9.5, no changes required.
  * Add Vcs-* headers in control.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Jul 2014 17:46:05 +0200

elektra (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libelektra-cpp0.symbols:
    - small updates

 -- Pino Toscano <pino@debian.org>  Fri, 26 Aug 2011 12:29:24 +0200

elektra (0.7.0-4) unstable; urgency=low

  * debian/control:
    - bump Standards-Version to 3.9.2, no changes required
    - switch to my @debian.org address, I'm a DD now
    - remove DM-Upload-Allowed, no more useful now
    - remove articles from the start of the short descriptions
  * debian/copyright:
    - small update of the packaging information
  * debian/libelektra-cpp0.symbols:
    - mark template instantiation symbols (Closes: #625194)
    - update for s390x

 -- Pino Toscano <pino@debian.org>  Sun, 14 Aug 2011 00:24:11 +0200

elektra (0.7.0-3) unstable; urgency=low

  * debian/patches:
    - add patch 01_spelling_fixes.diff to fix spelling errors found in API
      documentation
  * debian/control:
    - make elektra-bin conflict with kernel-patch-kdb, as both install
      /usr/share/man/man1/kdb.1.gz (Closes: #595221)
  * debian/libelektra-cpp0.symbols:
    - update for sparc64

 -- Pino Toscano <pino@kde.org>  Wed, 08 Sep 2010 23:34:19 +0200

elektra (0.7.0-2) unstable; urgency=low

  * debian/libelektra-cpp0.symbols:
    - take into account the various manglings of va_list, size_t and mode_t,
      and other architecture/OS-specific symbols (Closes: #594869)
  * debian/control:
    - make libelektra-dev conflict with libkrb5-dev, as both install
      /usr/include/kdb.h
  * debian/copyright:
    - clarify license of src/backends/gconf/gconf.c, which is GPLv2+

 -- Pino Toscano <pino@kde.org>  Tue, 31 Aug 2010 13:19:08 +0200

elektra (0.7.0-1) unstable; urgency=low

  * Initial release.

 -- Pino Toscano <pino@kde.org>  Tue, 24 Aug 2010 23:47:03 +0200
